
THC SMARTBRUTE  
==============

[0x00] Compiling THC-SMARTBRUTE

~$ ./configure
~$ make
~$ make install

So easy :-)

[0x01] USAGE

[gamma@denkbrett thcsmartbrute-1.0]$ ./thcsmartbrute --help
./thcsmartbrute Version 1.0 gamma@thc.org 

Parameters:
--chv1 pin1	sets the CHV1 to pin1
--chv2 pin2	sets the CHV2 to pin2
--simmode	work in sim mode
--tmode mode	sets the transfer mode to T0 or T1
--skipcriticalk	skip potential critical smartcard instructions
--undoconly	just give out undocumented instructions
--fastresults	fast results, does not work with -u
--help		shows this help

Parameter probing functions:
--class <CLASS>[,<CLASS>,<CLASS>....]		set the classes to be tested (hex)
--ins		set the instruction value of the tested instruction
--p1		gives parameter p1
--p2		gives parameter p2
--p3		gives parameter p3
--brutep1p2	probes for valid p1/p2 parameters with p3=0
--brutep3	probes valid p3 with given --p1 and --p2

[0x02] Please contribute!

If you have any feedback / ideas / feature requests please contact me 
via email at gamma@thc.org !
 
